<div fxLayout="row wrap">
  <div fxFlex.gt-sm="100" fxFlex.gt-xs="100" fxFlex="100">
    <mat-card>
      <mat-card-content>
        <form #searchForm="ngForm" fxLayout="row" fxLayout.xs="column" fxFlexFill fxLayoutGap="20px">
          <mat-form-field fxFlex="25" fxFlex.xs="50">
            <mat-label>Código</mat-label>
            <input matInput type="text" placeholder="Id del parámetro" id="id" [(ngModel)]="search.id"
              name="id" #id="ngModel" (keyup)="applyFilter(search.id)">
          </mat-form-field>
          <mat-form-field fxFlex="25" fxFlex.xs="50">
            <mat-label>Descripcion</mat-label>
            <input matInput type="text" placeholder="descripcion del parámetro" id="descripcion" [(ngModel)]="search.descripcion"
              name="descripcion" #descripcion="ngModel" (keyup)="applyFilter(search.descripcion)">
          </mat-form-field>
          
        </form>
        <div class="responsive-table">
          <mat-table [dataSource]="dataSource" matSort>
            <!-- Acciones Column -->
            <ng-container matColumnDef="acciones">
              <mat-header-cell *matHeaderCellDef> Acciones </mat-header-cell>
              <mat-cell *matCellDef="let row" >
                <button mat-icon-button [routerLink]="['/parametros/', row.id]">
                  <mat-icon>edit</mat-icon>
                </button>
                <button mat-icon-button (click)="openConfirm('Delete',row.id)">
                  <mat-icon>delete</mat-icon>
                </button>
              </mat-cell>
            </ng-container>
            <!-- Codigo Column -->
            <ng-container matColumnDef="id">
              <mat-header-cell *matHeaderCellDef mat-sort-header> Código </mat-header-cell>
              <mat-cell *matCellDef="let row"> {{row.id}} </mat-cell>
            </ng-container>
            <!-- Codigo Column -->
            <ng-container matColumnDef="descripcion">
              <mat-header-cell *matHeaderCellDef mat-sort-header> Descripción </mat-header-cell>
              <mat-cell *matCellDef="let row"> {{row.descripcion}} </mat-cell>
            </ng-container>
            <!-- Name Column -->
            <ng-container matColumnDef="valor">
              <mat-header-cell *matHeaderCellDef mat-sort-header> Valor </mat-header-cell>
              <mat-cell *matCellDef="let row"> {{row.valor}} </mat-cell>
            </ng-container>
            <!-- Progress Column -->
            <ng-container matColumnDef="activo">
              <mat-header-cell *matHeaderCellDef mat-sort-header> Activo </mat-header-cell>
              <mat-cell *matCellDef="let row"> {{row.activo}}</mat-cell>
            </ng-container>
            <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
            <mat-row *matRowDef="let row; columns: displayedColumns;">
            </mat-row>
          </mat-table>
          <mat-paginator [pageSizeOptions]="[5, 90,5]"></mat-paginator>
        </div>
      </mat-card-content>
    </mat-card>
    <app-toolbar-button>
      <button mat-button routerLink="/parametros/new" mat-flat-button color="primary">
        <mat-icon>add</mat-icon>
      </button>
    </app-toolbar-button>
  </div>
</div>
